source: squid-ssl/trunk/fuentes/helpers/ntlm_auth/smb_lm/Makefile.in @ 5495

Last change on this file since 5495 was 5495, checked in by Juanma, 23 months ago

Initial release

File size: 40.3 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91check_PROGRAMS =
92TESTS =
93@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
94libexec_PROGRAMS = ntlm_smb_lm_auth$(EXEEXT)
95subdir = helpers/ntlm_auth/smb_lm
96ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
97am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
98        $(top_srcdir)/acinclude/init.m4 \
99        $(top_srcdir)/acinclude/squid-util.m4 \
100        $(top_srcdir)/acinclude/compiler-flags.m4 \
101        $(top_srcdir)/acinclude/os-deps.m4 \
102        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
103        $(top_srcdir)/acinclude/pkg.m4 \
104        $(top_srcdir)/acinclude/lib-checks.m4 \
105        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
106        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
107        $(top_srcdir)/helpers/basic_auth/modules.m4 \
108        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
120        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
121        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/modules.m4 \
123        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
124        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
125        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
128        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
129        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
132        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
133        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/modules.m4 \
135        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
136        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
137        $(top_srcdir)/helpers/external_acl/modules.m4 \
138        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
140        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
141        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
142        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
143        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
144        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
145        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
146        $(top_srcdir)/helpers/external_acl/session/required.m4 \
147        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
148        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
149        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
150        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
152        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
153        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
154        $(top_srcdir)/configure.ac
155am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
156        $(ACLOCAL_M4)
157DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
158mkinstalldirs = $(install_sh) -d
159CONFIG_HEADER = $(top_builddir)/include/autoconf.h
160CONFIG_CLEAN_FILES =
161CONFIG_CLEAN_VPATH_FILES =
162am__installdirs = "$(DESTDIR)$(libexecdir)"
163PROGRAMS = $(libexec_PROGRAMS)
164am_ntlm_smb_lm_auth_OBJECTS = ntlm_smb_lm_auth.$(OBJEXT)
165ntlm_smb_lm_auth_OBJECTS = $(am_ntlm_smb_lm_auth_OBJECTS)
166@ENABLE_XPROF_STATS_TRUE@am__DEPENDENCIES_1 = $(top_builddir)/lib/profiler/libprofiler.la
167am__DEPENDENCIES_2 = $(top_builddir)/compat/libcompat-squid.la \
168        $(am__DEPENDENCIES_1)
169am__DEPENDENCIES_3 =
170ntlm_smb_lm_auth_DEPENDENCIES =  \
171        $(top_builddir)/lib/smblib/libsmblib.la \
172        $(top_builddir)/lib/rfcnb/librfcnb.la \
173        $(top_builddir)/lib/ntlmauth/libntlmauth.la \
174        $(top_builddir)/lib/libmiscencoding.la $(am__DEPENDENCIES_2) \
175        $(am__DEPENDENCIES_3) $(am__DEPENDENCIES_3) \
176        $(am__DEPENDENCIES_3)
177AM_V_lt = $(am__v_lt_@AM_V@)
178am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
179am__v_lt_0 = --silent
180am__v_lt_1 =
181AM_V_P = $(am__v_P_@AM_V@)
182am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
183am__v_P_0 = false
184am__v_P_1 = :
185AM_V_GEN = $(am__v_GEN_@AM_V@)
186am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
187am__v_GEN_0 = @echo "  GEN     " $@;
188am__v_GEN_1 =
189AM_V_at = $(am__v_at_@AM_V@)
190am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
191am__v_at_0 = @
192am__v_at_1 =
193DEFAULT_INCLUDES =
194depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
195am__depfiles_maybe = depfiles
196am__mv = mv -f
197CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
198        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
199LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
200        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
201        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
202        $(AM_CXXFLAGS) $(CXXFLAGS)
203AM_V_CXX = $(am__v_CXX_@AM_V@)
204am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
205am__v_CXX_0 = @echo "  CXX     " $@;
206am__v_CXX_1 =
207CXXLD = $(CXX)
208CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
209        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
210        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
211AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
212am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
213am__v_CXXLD_0 = @echo "  CXXLD   " $@;
214am__v_CXXLD_1 =
215SOURCES = $(ntlm_smb_lm_auth_SOURCES)
216DIST_SOURCES = $(ntlm_smb_lm_auth_SOURCES)
217am__can_run_installinfo = \
218  case $$AM_UPDATE_INFO_DIR in \
219    n|no|NO) false;; \
220    *) (install-info --version) >/dev/null 2>&1;; \
221  esac
222am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
223# Read a list of newline-separated strings from the standard input,
224# and print each of them once, without duplicates.  Input order is
225# *not* preserved.
226am__uniquify_input = $(AWK) '\
227  BEGIN { nonempty = 0; } \
228  { items[$$0] = 1; nonempty = 1; } \
229  END { if (nonempty) { for (i in items) print i; }; } \
230'
231# Make sure the list of sources is unique.  This is necessary because,
232# e.g., the same source file might be shared among _SOURCES variables
233# for different programs/libraries.
234am__define_uniq_tagged_files = \
235  list='$(am__tagged_files)'; \
236  unique=`for i in $$list; do \
237    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
238  done | $(am__uniquify_input)`
239ETAGS = etags
240CTAGS = ctags
241am__tty_colors_dummy = \
242  mgn= red= grn= lgn= blu= brg= std=; \
243  am__color_tests=no
244am__tty_colors = { \
245  $(am__tty_colors_dummy); \
246  if test "X$(AM_COLOR_TESTS)" = Xno; then \
247    am__color_tests=no; \
248  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
249    am__color_tests=yes; \
250  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
251    am__color_tests=yes; \
252  fi; \
253  if test $$am__color_tests = yes; then \
254    red='[0;31m'; \
255    grn='[0;32m'; \
256    lgn='[1;32m'; \
257    blu='[1;34m'; \
258    mgn='[0;35m'; \
259    brg='[1m'; \
260    std='[m'; \
261  fi; \
262}
263am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
264am__vpath_adj = case $$p in \
265    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
266    *) f=$$p;; \
267  esac;
268am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
269am__install_max = 40
270am__nobase_strip_setup = \
271  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
272am__nobase_strip = \
273  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
274am__nobase_list = $(am__nobase_strip_setup); \
275  for p in $$list; do echo "$$p $$p"; done | \
276  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
277  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
278    if (++n[$$2] == $(am__install_max)) \
279      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
280    END { for (dir in files) print dir, files[dir] }'
281am__base_list = \
282  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
283  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
284am__uninstall_files_from_dir = { \
285  test -z "$$files" \
286    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
287    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
288         $(am__cd) "$$dir" && rm -f $$files; }; \
289  }
290am__recheck_rx = ^[     ]*:recheck:[    ]*
291am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
292am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
293# A command that, given a newline-separated list of test names on the
294# standard input, print the name of the tests that are to be re-run
295# upon "make recheck".
296am__list_recheck_tests = $(AWK) '{ \
297  recheck = 1; \
298  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
299    { \
300      if (rc < 0) \
301        { \
302          if ((getline line2 < ($$0 ".log")) < 0) \
303            recheck = 0; \
304          break; \
305        } \
306      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
307        { \
308          recheck = 0; \
309          break; \
310        } \
311      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
312        { \
313          break; \
314        } \
315    }; \
316  if (recheck) \
317    print $$0; \
318  close ($$0 ".trs"); \
319  close ($$0 ".log"); \
320}'
321# A command that, given a newline-separated list of test names on the
322# standard input, create the global log from their .trs and .log files.
323am__create_global_log = $(AWK) ' \
324function fatal(msg) \
325{ \
326  print "fatal: making $@: " msg | "cat >&2"; \
327  exit 1; \
328} \
329function rst_section(header) \
330{ \
331  print header; \
332  len = length(header); \
333  for (i = 1; i <= len; i = i + 1) \
334    printf "="; \
335  printf "\n\n"; \
336} \
337{ \
338  copy_in_global_log = 1; \
339  global_test_result = "RUN"; \
340  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
341    { \
342      if (rc < 0) \
343         fatal("failed to read from " $$0 ".trs"); \
344      if (line ~ /$(am__global_test_result_rx)/) \
345        { \
346          sub("$(am__global_test_result_rx)", "", line); \
347          sub("[        ]*$$", "", line); \
348          global_test_result = line; \
349        } \
350      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
351        copy_in_global_log = 0; \
352    }; \
353  if (copy_in_global_log) \
354    { \
355      rst_section(global_test_result ": " $$0); \
356      while ((rc = (getline line < ($$0 ".log"))) != 0) \
357      { \
358        if (rc < 0) \
359          fatal("failed to read from " $$0 ".log"); \
360        print line; \
361      }; \
362      printf "\n"; \
363    }; \
364  close ($$0 ".trs"); \
365  close ($$0 ".log"); \
366}'
367# Restructured Text title.
368am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
369# Solaris 10 'make', and several other traditional 'make' implementations,
370# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
371# by disabling -e (using the XSI extension "set +e") if it's set.
372am__sh_e_setup = case $$- in *e*) set +e;; esac
373# Default flags passed to test drivers.
374am__common_driver_flags = \
375  --color-tests "$$am__color_tests" \
376  --enable-hard-errors "$$am__enable_hard_errors" \
377  --expect-failure "$$am__expect_failure"
378# To be inserted before the command running the test.  Creates the
379# directory for the log if needed.  Stores in $dir the directory
380# containing $f, in $tst the test, in $log the log.  Executes the
381# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
382# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
383# will run the test scripts (or their associated LOG_COMPILER, if
384# thy have one).
385am__check_pre = \
386$(am__sh_e_setup);                                      \
387$(am__vpath_adj_setup) $(am__vpath_adj)                 \
388$(am__tty_colors);                                      \
389srcdir=$(srcdir); export srcdir;                        \
390case "$@" in                                            \
391  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
392    *) am__odir=.;;                                     \
393esac;                                                   \
394test "x$$am__odir" = x"." || test -d "$$am__odir"       \
395  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
396if test -f "./$$f"; then dir=./;                        \
397elif test -f "$$f"; then dir=;                          \
398else dir="$(srcdir)/"; fi;                              \
399tst=$$dir$$f; log='$@';                                 \
400if test -n '$(DISABLE_HARD_ERRORS)'; then               \
401  am__enable_hard_errors=no;                            \
402else                                                    \
403  am__enable_hard_errors=yes;                           \
404fi;                                                     \
405case " $(XFAIL_TESTS) " in                              \
406  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
407    am__expect_failure=yes;;                            \
408  *)                                                    \
409    am__expect_failure=no;;                             \
410esac;                                                   \
411$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
412# A shell command to get the names of the tests scripts with any registered
413# extension removed (i.e., equivalently, the names of the test logs, with
414# the '.log' extension removed).  The result is saved in the shell variable
415# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
416# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
417# since that might cause problem with VPATH rewrites for suffix-less tests.
418# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
419am__set_TESTS_bases = \
420  bases='$(TEST_LOGS)'; \
421  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
422  bases=`echo $$bases`
423RECHECK_LOGS = $(TEST_LOGS)
424AM_RECURSIVE_TARGETS = check recheck
425TEST_SUITE_LOG = test-suite.log
426TEST_EXTENSIONS = @EXEEXT@ .test
427am__test_logs1 = $(TESTS:=.log)
428am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
429TEST_LOGS = $(am__test_logs2:.test.log=.log)
430TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
431TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
432        $(TEST_LOG_FLAGS)
433am__set_b = \
434  case '$@' in \
435    */*) \
436      case '$*' in \
437        */*) b='$*';; \
438          *) b=`echo '$@' | sed 's/\.log$$//'`; \
439       esac;; \
440    *) \
441      b='$*';; \
442  esac
443am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
444        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am
445DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
446ACLOCAL = @ACLOCAL@
447ADAPTATION_LIBS = @ADAPTATION_LIBS@
448ALLOCA = @ALLOCA@
449AMTAR = @AMTAR@
450AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
451AR = @AR@
452AR_R = @AR_R@
453AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
454AUTH_MODULES = @AUTH_MODULES@
455AUTOCONF = @AUTOCONF@
456AUTOHEADER = @AUTOHEADER@
457AUTOMAKE = @AUTOMAKE@
458AWK = @AWK@
459BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
460BUILDCXX = @BUILDCXX@
461BUILDCXXFLAGS = @BUILDCXXFLAGS@
462BZR = @BZR@
463CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
464CC = @CC@
465CCDEPMODE = @CCDEPMODE@
466CFLAGS = @CFLAGS@
467CGIEXT = @CGIEXT@
468CHMOD = @CHMOD@
469CPP = @CPP@
470CPPFLAGS = @CPPFLAGS@
471CPPUNITCONFIG = @CPPUNITCONFIG@
472CRYPTLIB = @CRYPTLIB@
473CXX = @CXX@
474CXXCPP = @CXXCPP@
475CXXDEPMODE = @CXXDEPMODE@
476CXXFLAGS = @CXXFLAGS@
477CYGPATH_W = @CYGPATH_W@
478DEFAULT_HOSTS = @DEFAULT_HOSTS@
479DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
480DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
481DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
482DEFS = @DEFS@
483DEPDIR = @DEPDIR@
484DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
485DISK_LIBS = @DISK_LIBS@
486DISK_LINKOBJS = @DISK_LINKOBJS@
487DISK_MODULES = @DISK_MODULES@
488DISK_OS_LIBS = @DISK_OS_LIBS@
489DISK_PROGRAMS = @DISK_PROGRAMS@
490DLLTOOL = @DLLTOOL@
491DSYMUTIL = @DSYMUTIL@
492DUMPBIN = @DUMPBIN@
493ECAP_LIBS = @ECAP_LIBS@
494ECHO_C = @ECHO_C@
495ECHO_N = @ECHO_N@
496ECHO_T = @ECHO_T@
497EGREP = @EGREP@
498EPOLL_LIBS = @EPOLL_LIBS@
499EUILIB = @EUILIB@
500EXEEXT = @EXEEXT@
501EXPATLIB = @EXPATLIB@
502EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
503EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
504EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
505FALSE = @FALSE@
506FGREP = @FGREP@
507GREP = @GREP@
508HAVE_CXX11 = @HAVE_CXX11@
509ICAP_LIBS = @ICAP_LIBS@
510INCLTDL = @INCLTDL@
511INSTALL = @INSTALL@
512INSTALL_DATA = @INSTALL_DATA@
513INSTALL_PROGRAM = @INSTALL_PROGRAM@
514INSTALL_SCRIPT = @INSTALL_SCRIPT@
515INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
516KRB5INCS = @KRB5INCS@
517KRB5LIBS = @KRB5LIBS@
518LBERLIB = @LBERLIB@
519LD = @LD@
520LDAPLIB = @LDAPLIB@
521LDFLAGS = @LDFLAGS@
522LIBADD_DL = @LIBADD_DL@
523LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
524LIBADD_DLOPEN = @LIBADD_DLOPEN@
525LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
526LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
527LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
528LIBLTDL = @LIBLTDL@
529LIBOBJS = @LIBOBJS@
530LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
531LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
532LIBS = @LIBS@
533LIBSASL = @LIBSASL@
534LIBTOOL = @LIBTOOL@
535LIB_DB = @LIB_DB@
536LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
537LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
538LINUXDOC = @LINUXDOC@
539LIPO = @LIPO@
540LN = @LN@
541LN_S = @LN_S@
542LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
543LTDLDEPS = @LTDLDEPS@
544LTDLINCL = @LTDLINCL@
545LTDLOPEN = @LTDLOPEN@
546LTLIBOBJS = @LTLIBOBJS@
547LT_ARGZ_H = @LT_ARGZ_H@
548LT_CONFIG_H = @LT_CONFIG_H@
549LT_DLLOADERS = @LT_DLLOADERS@
550LT_DLPREOPEN = @LT_DLPREOPEN@
551LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
552MAINT = @MAINT@
553MAKEINFO = @MAKEINFO@
554MANIFEST_TOOL = @MANIFEST_TOOL@
555MINGW_LIBS = @MINGW_LIBS@
556MKDIR = @MKDIR@
557MKDIR_P = @MKDIR_P@
558MV = @MV@
559NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
560NETTLELIB = @NETTLELIB@
561NM = @NM@
562NMEDIT = @NMEDIT@
563NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
564OBJDUMP = @OBJDUMP@
565OBJEXT = @OBJEXT@
566OTOOL = @OTOOL@
567OTOOL64 = @OTOOL64@
568PACKAGE = @PACKAGE@
569PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
570PACKAGE_NAME = @PACKAGE_NAME@
571PACKAGE_STRING = @PACKAGE_STRING@
572PACKAGE_TARNAME = @PACKAGE_TARNAME@
573PACKAGE_URL = @PACKAGE_URL@
574PACKAGE_VERSION = @PACKAGE_VERSION@
575PATH_SEPARATOR = @PATH_SEPARATOR@
576PERL = @PERL@
577PKG_CONFIG = @PKG_CONFIG@
578PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
579PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
580PO2HTML = @PO2HTML@
581PO2TEXT = @PO2TEXT@
582POD2MAN = @POD2MAN@
583RANLIB = @RANLIB@
584REGEXLIB = @REGEXLIB@
585REPL_LIBS = @REPL_LIBS@
586REPL_OBJS = @REPL_OBJS@
587REPL_POLICIES = @REPL_POLICIES@
588RM = @RM@
589SED = @SED@
590SET_MAKE = @SET_MAKE@
591SH = @SH@
592SHELL = @SHELL@
593SMBCLIENT = @SMBCLIENT@
594SNMPLIB = @SNMPLIB@
595SQUID_CFLAGS = @SQUID_CFLAGS@
596SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
597SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
598SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
599SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
600SSLLIB = @SSLLIB@
601STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
602STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
603STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
604STORE_TESTS = @STORE_TESTS@
605STRIP = @STRIP@
606TR = @TR@
607TRUE = @TRUE@
608URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
609VERSION = @VERSION@
610WBINFO = @WBINFO@
611WIN32_PSAPI = @WIN32_PSAPI@
612XMLLIB = @XMLLIB@
613XTRA_LIBS = @XTRA_LIBS@
614XTRA_OBJS = @XTRA_OBJS@
615abs_builddir = @abs_builddir@
616abs_srcdir = @abs_srcdir@
617abs_top_builddir = @abs_top_builddir@
618abs_top_srcdir = @abs_top_srcdir@
619ac_ct_AR = @ac_ct_AR@
620ac_ct_CC = @ac_ct_CC@
621ac_ct_CXX = @ac_ct_CXX@
622ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
623am__include = @am__include@
624am__leading_dot = @am__leading_dot@
625am__quote = @am__quote@
626am__tar = @am__tar@
627am__untar = @am__untar@
628bindir = @bindir@
629build = @build@
630build_alias = @build_alias@
631build_cpu = @build_cpu@
632build_os = @build_os@
633build_vendor = @build_vendor@
634builddir = @builddir@
635datadir = @datadir@
636datarootdir = @datarootdir@
637docdir = @docdir@
638dvidir = @dvidir@
639exec_prefix = @exec_prefix@
640host = @host@
641host_alias = @host_alias@
642host_cpu = @host_cpu@
643host_os = @host_os@
644host_vendor = @host_vendor@
645htmldir = @htmldir@
646includedir = @includedir@
647infodir = @infodir@
648install_sh = @install_sh@
649krb5_config = @krb5_config@
650libdir = @libdir@
651libexecdir = @libexecdir@
652localedir = @localedir@
653localstatedir = @localstatedir@
654ltdl_LIBOBJS = @ltdl_LIBOBJS@
655ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
656mandir = @mandir@
657mkdir_p = @mkdir_p@
658oldincludedir = @oldincludedir@
659pdfdir = @pdfdir@
660prefix = @prefix@
661program_transform_name = @program_transform_name@
662psdir = @psdir@
663runstatedir = @runstatedir@
664sbindir = @sbindir@
665sharedstatedir = @sharedstatedir@
666srcdir = @srcdir@
667subdirs = @subdirs@
668sys_symbol_underscore = @sys_symbol_underscore@
669sysconfdir = @sysconfdir@
670target_alias = @target_alias@
671top_build_prefix = @top_build_prefix@
672top_builddir = @top_builddir@
673top_srcdir = @top_srcdir@
674AM_CFLAGS = $(SQUID_CFLAGS)
675AM_CXXFLAGS = $(SQUID_CXXFLAGS)
676CLEANFILES =
677AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
678        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
679        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
680        $(am__append_1) -I$(top_srcdir)/lib
681@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
682@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
683COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
684subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
685ntlm_smb_lm_auth_SOURCES = ntlm_smb_lm_auth.cc
686ntlm_smb_lm_auth_LDADD = \
687        $(top_builddir)/lib/smblib/libsmblib.la \
688        $(top_builddir)/lib/rfcnb/librfcnb.la \
689        $(top_builddir)/lib/ntlmauth/libntlmauth.la \
690        $(top_builddir)/lib/libmiscencoding.la \
691        $(COMPAT_LIB) \
692        $(NETTLELIB) \
693        $(CRYPTLIB) \
694        $(XTRA_LIBS)
695
696EXTRA_DIST = required.m4
697all: all-am
698
699.SUFFIXES:
700.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
701$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(am__configure_deps)
702        @for dep in $?; do \
703          case '$(am__configure_deps)' in \
704            *$$dep*) \
705              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
706                && { if test -f $@; then exit 0; else break; fi; }; \
707              exit 1;; \
708          esac; \
709        done; \
710        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu helpers/ntlm_auth/smb_lm/Makefile'; \
711        $(am__cd) $(top_srcdir) && \
712          $(AUTOMAKE) --gnu helpers/ntlm_auth/smb_lm/Makefile
713Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
714        @case '$?' in \
715          *config.status*) \
716            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
717          *) \
718            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
719            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
720        esac;
721$(top_srcdir)/src/Common.am $(am__empty):
722
723$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
724        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
725
726$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
727        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
728$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
729        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
730$(am__aclocal_m4_deps):
731
732clean-checkPROGRAMS:
733        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
734        echo " rm -f" $$list; \
735        rm -f $$list || exit $$?; \
736        test -n "$(EXEEXT)" || exit 0; \
737        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
738        echo " rm -f" $$list; \
739        rm -f $$list
740install-libexecPROGRAMS: $(libexec_PROGRAMS)
741        @$(NORMAL_INSTALL)
742        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
743        if test -n "$$list"; then \
744          echo " $(MKDIR_P) '$(DESTDIR)$(libexecdir)'"; \
745          $(MKDIR_P) "$(DESTDIR)$(libexecdir)" || exit 1; \
746        fi; \
747        for p in $$list; do echo "$$p $$p"; done | \
748        sed 's/$(EXEEXT)$$//' | \
749        while read p p1; do if test -f $$p \
750         || test -f $$p1 \
751          ; then echo "$$p"; echo "$$p"; else :; fi; \
752        done | \
753        sed -e 'p;s,.*/,,;n;h' \
754            -e 's|.*|.|' \
755            -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
756        sed 'N;N;N;s,\n, ,g' | \
757        $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
758          { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
759            if ($$2 == $$4) files[d] = files[d] " " $$1; \
760            else { print "f", $$3 "/" $$4, $$1; } } \
761          END { for (d in files) print "f", d, files[d] }' | \
762        while read type dir files; do \
763            if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
764            test -z "$$files" || { \
765            echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(libexecdir)$$dir'"; \
766            $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(libexecdir)$$dir" || exit $$?; \
767            } \
768        ; done
769
770uninstall-libexecPROGRAMS:
771        @$(NORMAL_UNINSTALL)
772        @list='$(libexec_PROGRAMS)'; test -n "$(libexecdir)" || list=; \
773        files=`for p in $$list; do echo "$$p"; done | \
774          sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
775              -e 's/$$/$(EXEEXT)/' \
776        `; \
777        test -n "$$list" || exit 0; \
778        echo " ( cd '$(DESTDIR)$(libexecdir)' && rm -f" $$files ")"; \
779        cd "$(DESTDIR)$(libexecdir)" && rm -f $$files
780
781clean-libexecPROGRAMS:
782        @list='$(libexec_PROGRAMS)'; test -n "$$list" || exit 0; \
783        echo " rm -f" $$list; \
784        rm -f $$list || exit $$?; \
785        test -n "$(EXEEXT)" || exit 0; \
786        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
787        echo " rm -f" $$list; \
788        rm -f $$list
789
790ntlm_smb_lm_auth$(EXEEXT): $(ntlm_smb_lm_auth_OBJECTS) $(ntlm_smb_lm_auth_DEPENDENCIES) $(EXTRA_ntlm_smb_lm_auth_DEPENDENCIES)
791        @rm -f ntlm_smb_lm_auth$(EXEEXT)
792        $(AM_V_CXXLD)$(CXXLINK) $(ntlm_smb_lm_auth_OBJECTS) $(ntlm_smb_lm_auth_LDADD) $(LIBS)
793
794mostlyclean-compile:
795        -rm -f *.$(OBJEXT)
796
797distclean-compile:
798        -rm -f *.tab.c
799
800@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ntlm_smb_lm_auth.Po@am__quote@
801
802.cc.o:
803@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
804@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
805@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
806@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
807@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
808@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
809
810.cc.obj:
811@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
812@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
813@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
814@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
815@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
816@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
817
818.cc.lo:
819@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
820@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
821@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
822@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
823@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
824@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
825
826mostlyclean-libtool:
827        -rm -f *.lo
828
829clean-libtool:
830        -rm -rf .libs _libs
831
832ID: $(am__tagged_files)
833        $(am__define_uniq_tagged_files); mkid -fID $$unique
834tags: tags-am
835TAGS: tags
836
837tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
838        set x; \
839        here=`pwd`; \
840        $(am__define_uniq_tagged_files); \
841        shift; \
842        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
843          test -n "$$unique" || unique=$$empty_fix; \
844          if test $$# -gt 0; then \
845            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
846              "$$@" $$unique; \
847          else \
848            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
849              $$unique; \
850          fi; \
851        fi
852ctags: ctags-am
853
854CTAGS: ctags
855ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
856        $(am__define_uniq_tagged_files); \
857        test -z "$(CTAGS_ARGS)$$unique" \
858          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
859             $$unique
860
861GTAGS:
862        here=`$(am__cd) $(top_builddir) && pwd` \
863          && $(am__cd) $(top_srcdir) \
864          && gtags -i $(GTAGS_ARGS) "$$here"
865cscopelist: cscopelist-am
866
867cscopelist-am: $(am__tagged_files)
868        list='$(am__tagged_files)'; \
869        case "$(srcdir)" in \
870          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
871          *) sdir=$(subdir)/$(srcdir) ;; \
872        esac; \
873        for i in $$list; do \
874          if test -f "$$i"; then \
875            echo "$(subdir)/$$i"; \
876          else \
877            echo "$$sdir/$$i"; \
878          fi; \
879        done >> $(top_builddir)/cscope.files
880
881distclean-tags:
882        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
883
884# Recover from deleted '.trs' file; this should ensure that
885# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
886# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
887# to avoid problems with "make -n".
888.log.trs:
889        rm -f $< $@
890        $(MAKE) $(AM_MAKEFLAGS) $<
891
892# Leading 'am--fnord' is there to ensure the list of targets does not
893# expand to empty, as could happen e.g. with make check TESTS=''.
894am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
895am--force-recheck:
896        @:
897
898$(TEST_SUITE_LOG): $(TEST_LOGS)
899        @$(am__set_TESTS_bases); \
900        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
901        redo_bases=`for i in $$bases; do \
902                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
903                    done`; \
904        if test -n "$$redo_bases"; then \
905          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
906          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
907          if $(am__make_dryrun); then :; else \
908            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
909          fi; \
910        fi; \
911        if test -n "$$am__remaking_logs"; then \
912          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
913               "recursion detected" >&2; \
914        elif test -n "$$redo_logs"; then \
915          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
916        fi; \
917        if $(am__make_dryrun); then :; else \
918          st=0;  \
919          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
920          for i in $$redo_bases; do \
921            test -f $$i.trs && test -r $$i.trs \
922              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
923            test -f $$i.log && test -r $$i.log \
924              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
925          done; \
926          test $$st -eq 0 || exit 1; \
927        fi
928        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
929        ws='[   ]'; \
930        results=`for b in $$bases; do echo $$b.trs; done`; \
931        test -n "$$results" || results=/dev/null; \
932        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
933        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
934        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
935        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
936        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
937        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
938        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
939        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
940          success=true; \
941        else \
942          success=false; \
943        fi; \
944        br='==================='; br=$$br$$br$$br$$br; \
945        result_count () \
946        { \
947            if test x"$$1" = x"--maybe-color"; then \
948              maybe_colorize=yes; \
949            elif test x"$$1" = x"--no-color"; then \
950              maybe_colorize=no; \
951            else \
952              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
953            fi; \
954            shift; \
955            desc=$$1 count=$$2; \
956            if test $$maybe_colorize = yes && test $$count -gt 0; then \
957              color_start=$$3 color_end=$$std; \
958            else \
959              color_start= color_end=; \
960            fi; \
961            echo "$${color_start}# $$desc $$count$${color_end}"; \
962        }; \
963        create_testsuite_report () \
964        { \
965          result_count $$1 "TOTAL:" $$all   "$$brg"; \
966          result_count $$1 "PASS: " $$pass  "$$grn"; \
967          result_count $$1 "SKIP: " $$skip  "$$blu"; \
968          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
969          result_count $$1 "FAIL: " $$fail  "$$red"; \
970          result_count $$1 "XPASS:" $$xpass "$$red"; \
971          result_count $$1 "ERROR:" $$error "$$mgn"; \
972        }; \
973        {                                                               \
974          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
975            $(am__rst_title);                                           \
976          create_testsuite_report --no-color;                           \
977          echo;                                                         \
978          echo ".. contents:: :depth: 2";                               \
979          echo;                                                         \
980          for b in $$bases; do echo $$b; done                           \
981            | $(am__create_global_log);                                 \
982        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
983        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
984        if $$success; then                                              \
985          col="$$grn";                                                  \
986         else                                                           \
987          col="$$red";                                                  \
988          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
989        fi;                                                             \
990        echo "$${col}$$br$${std}";                                      \
991        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
992        echo "$${col}$$br$${std}";                                      \
993        create_testsuite_report --maybe-color;                          \
994        echo "$$col$$br$$std";                                          \
995        if $$success; then :; else                                      \
996          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
997          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
998            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
999          fi;                                                           \
1000          echo "$$col$$br$$std";                                        \
1001        fi;                                                             \
1002        $$success || exit 1
1003
1004check-TESTS:
1005        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1006        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1007        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1008        @set +e; $(am__set_TESTS_bases); \
1009        log_list=`for i in $$bases; do echo $$i.log; done`; \
1010        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1011        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1012        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1013        exit $$?;
1014recheck: all $(check_PROGRAMS)
1015        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1016        @set +e; $(am__set_TESTS_bases); \
1017        bases=`for i in $$bases; do echo $$i; done \
1018                 | $(am__list_recheck_tests)` || exit 1; \
1019        log_list=`for i in $$bases; do echo $$i.log; done`; \
1020        log_list=`echo $$log_list`; \
1021        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1022                am__force_recheck=am--force-recheck \
1023                TEST_LOGS="$$log_list"; \
1024        exit $$?
1025.test.log:
1026        @p='$<'; \
1027        $(am__set_b); \
1028        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1029        --log-file $$b.log --trs-file $$b.trs \
1030        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1031        "$$tst" $(AM_TESTS_FD_REDIRECT)
1032@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1033@am__EXEEXT_TRUE@       @p='$<'; \
1034@am__EXEEXT_TRUE@       $(am__set_b); \
1035@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1036@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1037@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1038@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1039
1040distdir: $(DISTFILES)
1041        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1042        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1043        list='$(DISTFILES)'; \
1044          dist_files=`for file in $$list; do echo $$file; done | \
1045          sed -e "s|^$$srcdirstrip/||;t" \
1046              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1047        case $$dist_files in \
1048          */*) $(MKDIR_P) `echo "$$dist_files" | \
1049                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1050                           sort -u` ;; \
1051        esac; \
1052        for file in $$dist_files; do \
1053          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1054          if test -d $$d/$$file; then \
1055            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1056            if test -d "$(distdir)/$$file"; then \
1057              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1058            fi; \
1059            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1060              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1061              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1062            fi; \
1063            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1064          else \
1065            test -f "$(distdir)/$$file" \
1066            || cp -p $$d/$$file "$(distdir)/$$file" \
1067            || exit 1; \
1068          fi; \
1069        done
1070check-am: all-am
1071        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1072        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1073check: check-am
1074all-am: Makefile $(PROGRAMS)
1075installdirs:
1076        for dir in "$(DESTDIR)$(libexecdir)"; do \
1077          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1078        done
1079install: install-am
1080install-exec: install-exec-am
1081install-data: install-data-am
1082uninstall: uninstall-am
1083
1084install-am: all-am
1085        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1086
1087installcheck: installcheck-am
1088install-strip:
1089        if test -z '$(STRIP)'; then \
1090          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1091            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1092              install; \
1093        else \
1094          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1095            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1096            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1097        fi
1098mostlyclean-generic:
1099        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1100        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1101        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1102
1103clean-generic:
1104        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1105
1106distclean-generic:
1107        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1108        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1109
1110maintainer-clean-generic:
1111        @echo "This command is intended for maintainers to use"
1112        @echo "it deletes files that may require special tools to rebuild."
1113clean: clean-am
1114
1115clean-am: clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1116        clean-libtool mostlyclean-am
1117
1118distclean: distclean-am
1119        -rm -rf ./$(DEPDIR)
1120        -rm -f Makefile
1121distclean-am: clean-am distclean-compile distclean-generic \
1122        distclean-tags
1123
1124dvi: dvi-am
1125
1126dvi-am:
1127
1128html: html-am
1129
1130html-am:
1131
1132info: info-am
1133
1134info-am:
1135
1136install-data-am:
1137
1138install-dvi: install-dvi-am
1139
1140install-dvi-am:
1141
1142install-exec-am: install-libexecPROGRAMS
1143
1144install-html: install-html-am
1145
1146install-html-am:
1147
1148install-info: install-info-am
1149
1150install-info-am:
1151
1152install-man:
1153
1154install-pdf: install-pdf-am
1155
1156install-pdf-am:
1157
1158install-ps: install-ps-am
1159
1160install-ps-am:
1161
1162installcheck-am:
1163
1164maintainer-clean: maintainer-clean-am
1165        -rm -rf ./$(DEPDIR)
1166        -rm -f Makefile
1167maintainer-clean-am: distclean-am maintainer-clean-generic
1168
1169mostlyclean: mostlyclean-am
1170
1171mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1172        mostlyclean-libtool
1173
1174pdf: pdf-am
1175
1176pdf-am:
1177
1178ps: ps-am
1179
1180ps-am:
1181
1182uninstall-am: uninstall-libexecPROGRAMS
1183
1184.MAKE: check-am install-am install-strip
1185
1186.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1187        clean-checkPROGRAMS clean-generic clean-libexecPROGRAMS \
1188        clean-libtool cscopelist-am ctags ctags-am distclean \
1189        distclean-compile distclean-generic distclean-libtool \
1190        distclean-tags distdir dvi dvi-am html html-am info info-am \
1191        install install-am install-data install-data-am install-dvi \
1192        install-dvi-am install-exec install-exec-am install-html \
1193        install-html-am install-info install-info-am \
1194        install-libexecPROGRAMS install-man install-pdf install-pdf-am \
1195        install-ps install-ps-am install-strip installcheck \
1196        installcheck-am installdirs maintainer-clean \
1197        maintainer-clean-generic mostlyclean mostlyclean-compile \
1198        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1199        recheck tags tags-am uninstall uninstall-am \
1200        uninstall-libexecPROGRAMS
1201
1202.PRECIOUS: Makefile
1203
1204
1205$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1206
1207# Tell versions [3.59,3.63) of GNU make to not export all variables.
1208# Otherwise a system limit (for SysV at least) may be exceeded.
1209.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.